Page MenuHomePhabricator
Paste P8931

(An Untitled Masterwork)
ActivePublic

Authored by Marostegui on Aug 19 2019, 9:27 AM.
Scheduling downtime on Icinga server icinga1001.wikimedia.org for hosts: db2067.codfw.wmnet
Exception raised while executing cookbook sre.hosts.downtime:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/spicerack/phabricator.py", line 99, in task_comment
self._client.maniphest.edit(objectIdentifier=task_id, transactions=transactions)
File "/usr/lib/python3/dist-packages/phabricator/__init__.py", line 248, in __call__
return self._request(**kwargs)
File "/usr/lib/python3/dist-packages/phabricator/__init__.py", line 323, in _request
data = self._parse_response(response)
File "/usr/lib/python3/dist-packages/phabricator/__init__.py", line 333, in _parse_response
raise APIError(parsed['error_code'], parsed['error_info'])
phabricator.APIError: ERR-CONDUIT-CORE: Monogram "None" does not identify a valid object.
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/spicerack/cookbook.py", line 407, in _run
ret = self.module.run(args, self.spicerack)
File "/srv/deployment/spicerack/cookbooks/sre/hosts/downtime.py", line 73, in run
phabricator.task_comment(args.task_id, message)
File "/usr/lib/python3/dist-packages/spicerack/phabricator.py", line 102, in task_comment
raise PhabricatorError('Unable to update Phabricator task {id}'.format(id=task_id)) from e
spicerack.phabricator.PhabricatorError: Unable to update Phabricator task None
END (FAIL) - Cookbook sre.hosts.downtime (exit_code=99)

Event Timeline

Marostegui created this paste.Aug 19 2019, 9:27 AM